# -*- coding: utf-8 -*-
from turtle import *
from math import *

# On paramètre la fenêtre
fenetre = Screen()
fenetre.setup(1020, 570)
fenetre.setworldcoordinates(-127,-138,280,86)

#On paramètre la piste de ski
piste=Turtle()
register_shape("Tremplin.gif")
piste.shape("Tremplin.gif")
piste.speed(0)
piste.goto(76.5,-26)

#On paramètre le skieur
skieur = Turtle()
skieur.pensize(2)
skieur.pencolor('blue')
skieur.speed(0)
skieur.up()
register_shape("Elan.gif")
register_shape("Envol.gif")
register_shape("Vol.gif")
register_shape("Reception.gif") 

####################### LE TRAVAIL COMMENCE ICI #######################

x=-100                #abscisse initiale du skieur
pas=0.5               #pas utilisé dans tous les déplacements
skieur.goto(-100,70)  #Position initiale du skieur
skieur.down()         #Pour visualiser la trajectoire

############### Elan du skieur ###############

skieur.shape("Elan.gif")  #costume initial du skieur

def f(x):                 #Modélisation de la partie descendante
  return -0.7*x

while f(x)>6:             #Tant que l'ordonnée du skieur est supérieure à 6
  x=x+pas                 #l'abscisse augmente de pas
  skieur.goto(x,f(x))     #Le skieur se déplace sur la piste d'élan

############### Envol du skieur ###############
  
skieur.shape("Envol.gif")  #Changement de costume

while x<0:              
  x=x+pas
  skieur.goto(x,6)

############### Le vol du skieur ###############

skieur.shape("Vol.gif")   #Changement de costume

def g(x):     #Modélisation de la piste de réception
  return -0.5*x

def h(x):     #Modélisation de la trajectoire du vol
  return -2.3*x**2/V**2+6

V=29      #vitesse du skieur au début du vol

while h(x)>g(x):
  x=x+pas
  skieur.goto(x,h(x))

print(x,g(x))

############### Réception du skieur ###############

skieur.shape("Reception.gif")    #Changement de costume

while V>0:
  V=V-0.5
  x=x+pas
  skieur.goto(x,g(x))

#######################################################################
fenetre.mainloop()
